[Deprecated] Pre 1.0 authentication and authorization hooks.
JavaScript
Latest commit 5141122 Nov 17, 2016 @marshallswain marshallswain Updating changelog
Permalink
Failed to load latest commit information.
.github initial commit Nov 11, 2016
src initial commit Nov 11, 2016
test Include babel-polyfill Nov 17, 2016
.babelrc initial commit Nov 11, 2016
.editorconfig initial commit Nov 11, 2016
.gitignore initial commit Nov 11, 2016
.istanbul.yml initial commit Nov 11, 2016
.npmignore initial commit Nov 11, 2016
.travis.yml initial commit Nov 11, 2016
CHANGELOG.md Updating changelog Nov 17, 2016
LICENSE initial commit Nov 11, 2016
README.md Fix docs URL Nov 11, 2016
mocha.opts initial commit Nov 11, 2016
package.json initial release v1.0.0 Nov 17, 2016

README.md

feathers-legacy-authentication-hooks

Build Status Code Climate Test Coverage Dependency Status Download Status

Hooks from feathers-authentication@0.7.x

Installation

npm install feathers-legacy-authentication-hooks --save

Documentation

The following hooks are included in this module:

  • associateCurrentUser
  • hashPassword
  • populateUser
  • queryWithCurrentUser
  • restrictToAuthenticated
  • restrictToOwner
  • restrictToRoles
  • verifyToken
  • verifyOrRestrict
  • populateOrRestrict
  • hasRoleOrRestrict

These hooks were previously bundled with the feathers-authentication module, but have been deprecated in favor of the feathers-permissions hooks.

Please refer to the documentation for more details.

License

Copyright (c) 2016

Licensed under the MIT license.